This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 168634 - Xsession checks for Xclients.$1.sh yet executes Xsession.$1.sh
Xsession checks for Xclients.$1.sh yet executes Xsession.$1.sh
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: xinitrc (Show other bugs)
4
All Linux
medium Severity medium
: ---
: ---
Assigned To: Mike A. Harris
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-09-18 15:24 EDT by Edward Rudd
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version: 4.0.18.1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-09-23 20:19:26 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Edward Rudd 2005-09-18 15:24:35 EDT
in the /etc/X11/xdm/Xsession script, on line 47 (just below the reference to bug
#142260) a check is made for /etc/X11/xinit/Xclients.d/Xclients.$1.sh, if it
succeeds /etc/X11/xinit/Xclients.d/Xsession.$1.sh is executed.  This is
incorrect, either the test should be for Xsession.$1.sh OR Xclients.$1.sh should
be executed.
Comment 1 Mike A. Harris 2005-09-19 22:29:53 EDT
Thanks for the report.  Adding to investigation queue...
Comment 2 Mike A. Harris 2005-09-23 19:15:44 EDT
Fixed in 4.0.20-1 in rawhide.  I'm going to do an update for FC-4 also.
Comment 3 Mike A. Harris 2005-09-23 20:18:57 EDT
Fixed in 4.0.18.1 for FC-4, which is being released as an update.

Note You need to log in before you can comment on or make changes to this bug.